#!/bin/bash

declare -a fields

singleldr () 
{
  local file="$1"

  cat $file | tr [:upper:] [:lower:] | while read -a fields; do
    if [ "${fields[0]}" = "1" ]; then
      if [ -z "${fields[14]%%*.ldr}" ]; then
        singleldr "${fields[14]}"
      else
        echo ${fields[@]};
      fi
    fi
  done
}

for i in "$@"; do
  singleldr "$i"
done

exit 0
